Paiements
Lister les paiements d'un contrat
Liste paginée des paiements liés au contrat (filtre forcé sur contract.id).
Authorization
bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USERAuthorizationBearer <token>
Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.
In: header
Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER
Path Parameters
contractId*string
Query Parameters
page?integer
Numéro de page (commence à 0).
Default
0size?integer
Taille de page.
Default
10filter[status]?string
PENDING | PARTIAL | CONFIRMED | FAILED | REFUNDED
filter[paymentReference]?string
Référence de paiement (contient).
filter[paymentMethod]?string
Mode de paiement.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/contracts/string/payments"[
{
"id": "string",
"paymentReference": "string",
"paymentLink": "string",
"externalTransactionId": "string",
"amountDue": 0,
"amountPaid": 0,
"paymentMethod": "string",
"status": "PENDING",
"paymentDate": "2026-10-06T08:38:39",
"dueDate": "2026-10-06T08:38:39",
"confirmedDate": "2026-10-06T08:38:39",
"failureReason": "string",
"invoice": "string",
"notes": "string",
"endorsementId": "string",
"installmentId": "string",
"installmentNumber": 0,
"numberOfInstallments": 0,
"periodStart": "2026-10-06",
"periodEnd": "2026-10-06",
"createdDate": "2026-10-06T08:38:39",
"lastModifiedDate": "2026-10-06T08:38:39"
}
]{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}